package com.galaxis.manatee.Test.zzx;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.galaxis.manatee.entity.chuanyun.dto.ChuanyunFindAllBizDTO;
import com.galaxis.manatee.entity.chuanyun.dto.Filter;
import com.galaxis.manatee.manager.ChuanYunManager;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.List;

@Slf4j
@SpringBootTest
public class ProjectTest1 {
    @Autowired
    private ChuanYunManager chuanYunManager;

    @Test
    void test1() {
        List<String> m = List.of("F0000035_2,维保", "F0000035_2,售后");
        var filter = Filter.instance(0, 400, true, Filter.OR, m);
        ChuanyunFindAllBizDTO<Object> chuanyunFindAllResponse = null;
        try {
            chuanyunFindAllResponse = chuanYunManager.findAll("D001789Srquo86tpfq1iuuqww4heu2w73", filter);
        } catch (JsonProcessingException e) {
            e.printStackTrace();
        }

        if (chuanyunFindAllResponse.getReturnData() == null || chuanyunFindAllResponse.getReturnData().getBizObjectArray() == null) {
            return;
        }

        List<Object> bizObjectArray = chuanyunFindAllResponse.getReturnData().getBizObjectArray();
        ObjectMapper objectMapper = new ObjectMapper();
    }



    @Data
    static class Aftermarket {  //售后项目资料的实体类
        @JsonProperty("F0000001")
        private String projectName;     //项目名称
        @JsonProperty("F0000078")
        private String projectNo;       //项目编号
        @JsonProperty("F0000121")
        private String customName;      //客户名称
    }
}

